Skip to main content
GET
List event notifications

Authorizations

Authorization
string
header
required

Oauth 2.0 authentication

Query Parameters

page_size
integer
default:10

The number of webhook event notifications to return in the response.

start_time
string

Filters the webhook event notifications in the response to those created on or after this date and time and on or before the end_time value. Both values are in Internet date and time format format. Example: start_time=2013-03-06T11:00:00Z.

end_time
string

Filters the webhook event notifications in the response to those created on or after the start_time and on or before this date and time. Both values are in Internet date and time format format. Example: end_time=2013-03-06T11:00:00Z.

transaction_id
string

Filters the response to a single transaction, by ID.

event_type
string

Filters the response to a single event.

Response

A successful request returns the HTTP 200 OK status code and a JSON response body that lists webhooks event notifications.

A list of webhooks events.

events
Event · object[]

An array of webhooks events.

count
integer

The number of items in each range of results. Note that the response might have fewer items than the requested page_size value.

An array of request-related HATEOAS links.